Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class AttributeSource.State

    java.lang.Object
      org.apache.lucene.util.AttributeSource.State

All Implemented Interfaces:
  Cloneable

Enclosing class:
  AttributeSource

    public static final class AttributeSource.State

extends Object
implements Cloneable

This class holds the state of an AttributeSource.

See Also:
  `AttributeSource.captureState()`, `AttributeSource.restoreState(org.apache.lucene.util.AttributeSource.State)`

Constructor Summary
`AttributeSource.State()`

Method Summary
`AttributeSource.State` | `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSource.State

    public AttributeSource.State()

Method Detail

### clone

    public AttributeSource.State clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.